﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebApplication14
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void Button1_Click(object sender, EventArgs e)
        {

            //Create a new PDF document.

            PdfDocument doc = new PdfDocument();
            //Add a page to the document
            PdfPage page = doc.Pages.Add();

            //Initialize Font and text to be drawn
            PdfFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 10);
            string text = "Essential PDF is a .NET library with the capability to produce Adobe PDF file. It features a full-fledged object model the easy creation of PDF files from any .NET language. It does not use any external libraries and is built from scratch in C#. It can be used on the server side (ASP.NET or any other environment) or with Windows Forms applications. Essential PDF supports many features for creating a PDF document including drawing Text, Images,Tables and other shapes. The generated PDF documents can also be protected using 40 Bit and 128 Bit encryption.";

            //Set the formats for the text.

            PdfStringFormat format = new PdfStringFormat();
            format.Alignment = PdfTextAlignment.Justify;
            format.LineAlignment = PdfVerticalAlignment.Top;

            //Create a text element.
            PdfTextElement element = new PdfTextElement(text, font);
            element.Brush = new PdfSolidBrush(Color.Black);
            element.StringFormat = format;
            element.Font = new PdfStandardFont(PdfFontFamily.Helvetica, 12);

            //Set the properties to paginate the text.
            PdfLayoutFormat layoutFormat = new PdfLayoutFormat();
            layoutFormat.Break = PdfLayoutBreakType.FitPage;
            layoutFormat.Layout = PdfLayoutType.Paginate;

            //Draw the text element with the properties and formats set.
            RectangleF bounds = new RectangleF(0, 20, page.Size.Width, page.Size.Height);

            //Returns the bounds of the drawn text.
            PdfTextLayoutResult result = element.Draw(page, bounds, layoutFormat);

            //Save the document.
            doc.Save("Sample.pdf", Response, HttpReadType.Save);
            doc.Close();
        }
    }
}